<?php

require_once ROOT_DIR.'\models\Books.php';
require_once ROOT_DIR.'\models\Reviews.php';

class BooksController extends Zend_Controller_Action
{
    public function indexAction()
    {
        $id = (int)$this->getRequest()->getParam('id');
        if ($id == 0) {
            $this->_redirect('/');
            return;
        }

        $booksFinder = new Books();
        $book = $booksFinder->fetchRow('id='.$id);
        if ($book->id != $id) {
            $this->_redirect('/');
            return;
        }
        $this->view->book = $book;
        $this->view->title = $book->name;

        $reviewsFinder = new Reviews();
        $this->view->reviews = $reviewsFinder->fetchByBookId($id);

    }
}