<?php

class Books extends Zend_Db_Table
{
    protected $_name = 'books';
     
    /**
     * Fetch the latest $count books
     *
     * @param int $count
     * @return Zend_Db_Table_Rowset_Abstract
     */
    public function fetchLatest($count = 10)
    {
        return $this->fetchAll(null, 'id DESC', $count);
    }
}
